Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.ui
Class LengthAdjustmentType

    java.lang.Object
      org.jfree.ui.LengthAdjustmentType

All Implemented Interfaces:
  java.io.Serializable

    public final class LengthAdjustmentType

extends java.lang.Object
implements java.io.Serializable

Represents the three options for adjusting a length: expand, contract, and no change.

Author:
  David Gilbert
See Also:
  Serialized Form

Field Summary
`static LengthAdjustmentType` | `CONTRACT` CONTRACT.
`static LengthAdjustmentType` | `EXPAND` EXPAND.
`static LengthAdjustmentType` | `NO_CHANGE` NO_CHANGE.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`int` | `hashCode()` Returns a hash code value for the object.
`java.lang.String` | `toString()` Returns a string representing the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_CHANGE

    public static final LengthAdjustmentType NO_CHANGE

  NO_CHANGE.

### EXPAND

    public static final LengthAdjustmentType EXPAND

  EXPAND.

### CONTRACT

    public static final LengthAdjustmentType CONTRACT

  CONTRACT.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representing the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The string.

### equals

    public boolean equals(java.lang.Object obj)

  Returns `true` if this object is equal to the specified object, and `false` otherwise.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the other object (`null` permitted).
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    The hashcode

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD